# BreakoutBox Class Reference

`#include <BreakoutBox.h>`

Inheritance diagram for BreakoutBox:

List of all members.

## Public Member Functions
| BreakoutBox ()
| BreakoutBox (const Vector2i &pos, const Vector2i &size, const unsigned int &health)
| ~BreakoutBox ()
virtual void | Draw ()
virtual void | Update ()
void | SetPosition (const Vector2i &pos)
void | SetSize (const Vector2i &size)
void | SetHealth (const int &health)
void | Enable ()
bool | IsEnabled ()
void | Disable ()
Vector2i | GetPosition ()
Vector2i | GetSize ()
AABBi | GetAABB ()
void | TakeHit ()
int | GetHealth ()
bool | IsAlive ()
## Protected Member Functions
void | updateBBox ()
## Protected Attributes
bool | m_bIsEnabled
bool | m_bIsAlive
Vector2i | m_position
Vector2i | m_size
AABBi | m_boundingBox
int | m_health
unsigned long | m_lastHitTime

## Detailed Description

Definition at line 7 of file BreakoutBox.h.

## Constructor & Destructor Documentation

BreakoutBox::BreakoutBox | ( |  | ) |

<File comment goes here!!>

Copyright (c) 200x by <your name/ organization here>

Definition at line 17 of file BreakoutBox.cpp.

BreakoutBox::BreakoutBox | ( | const Vector2i & | pos,
|  | const Vector2i & | size,
|  | const unsigned int & | health |
| ) |  |  |

Definition at line 23 of file BreakoutBox.cpp.

BreakoutBox::~BreakoutBox | ( |  | ) |

Definition at line 29 of file BreakoutBox.cpp.

## Member Function Documentation

void BreakoutBox::Disable | ( |  | ) | `[inline]`

Definition at line 33 of file BreakoutBox.h.

void BreakoutBox::Draw | ( |  | ) | `[virtual]`

Reimplemented in BreakoutPaddle.

Definition at line 33 of file BreakoutBox.cpp.

void BreakoutBox::Enable | ( |  | ) | `[inline]`

Definition at line 31 of file BreakoutBox.h.

AABBi BreakoutBox::GetAABB | ( |  | ) | `[inline]`

Definition at line 38 of file BreakoutBox.h.

int BreakoutBox::GetHealth | ( |  | ) | `[inline]`

Definition at line 42 of file BreakoutBox.h.

Vector2i BreakoutBox::GetPosition | ( |  | ) | `[inline]`

Definition at line 35 of file BreakoutBox.h.

Vector2i BreakoutBox::GetSize | ( |  | ) | `[inline]`

Definition at line 36 of file BreakoutBox.h.

bool BreakoutBox::IsAlive | ( |  | ) | `[inline]`

Definition at line 44 of file BreakoutBox.h.

bool BreakoutBox::IsEnabled | ( |  | ) | `[inline]`

Definition at line 32 of file BreakoutBox.h.

void BreakoutBox::SetHealth | ( | const int & | health | ) | `[inline]`

Definition at line 29 of file BreakoutBox.h.

void BreakoutBox::SetPosition | ( | const Vector2i & | pos | ) | `[inline]`

Definition at line 17 of file BreakoutBox.h.

void BreakoutBox::SetSize | ( | const Vector2i & | size | ) | `[inline]`

Definition at line 23 of file BreakoutBox.h.

void BreakoutBox::TakeHit | ( |  | ) |

Definition at line 55 of file BreakoutBox.cpp.

virtual void BreakoutBox::Update | ( |  | ) | `[inline, virtual]`

Reimplemented in BreakoutPaddle.

Definition at line 15 of file BreakoutBox.h.

void BreakoutBox::updateBBox | ( |  | ) | `[protected]`

Definition at line 42 of file BreakoutBox.cpp.

## Member Data Documentation

bool BreakoutBox::m_bIsAlive`[protected]`

Definition at line 47 of file BreakoutBox.h.

bool BreakoutBox::m_bIsEnabled`[protected]`

Definition at line 47 of file BreakoutBox.h.

AABBi BreakoutBox::m_boundingBox`[protected]`

Definition at line 49 of file BreakoutBox.h.

int BreakoutBox::m_health`[protected]`

Definition at line 50 of file BreakoutBox.h.

unsigned long BreakoutBox::m_lastHitTime`[protected]`

Definition at line 51 of file BreakoutBox.h.

Vector2i BreakoutBox::m_position`[protected]`

Definition at line 48 of file BreakoutBox.h.

Vector2i BreakoutBox::m_size`[protected]`

Definition at line 48 of file BreakoutBox.h.

The documentation for this class was generated from the following files:

- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/BreakoutBox.h
- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/BreakoutBox.cpp